Debian Bug report logs - #705064
ITP: rfc5766-turn-server - STUN/TURN server

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Oleg Moskalenko <mom040267@gmail.com>

Date: Tue, 9 Apr 2013 16:03:02 UTC

Owned by: Oleg Moskalenko <mom040267@gmail.com>

Severity: wishlist

Fixed in version rfc5766-turn-server/1.8.4.2-1

Done: Oleg Moskalenko <mom040267@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#705064; Package wnpp. (Tue, 09 Apr 2013 16:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleg Moskalenko <mom040267@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 09 Apr 2013 16:03:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Oleg Moskalenko <mom040267@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: rfc5766-turn-server - STUN/TURN server
Date: Tue, 9 Apr 2013 09:02:17 -0700
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist

The TURN Server is a VoIP media traffic NAT traversal server and gateway.
It can be used as a general-purpose network traffic TURN server/gateway,
too.

This implementation also includes some extra features. Supported RFCs:

TURN specs:

   - RFC 5766 - base TURN specs
   - RFC 6062 - TCP relaying TURN extension
   - RFC 6156 - IPv6 extension for TURN
   - Experimental DTLS support as client protocol.

STUN specs:

   - RFC 5389 - base "new" STUN specs
   - RFC 5769 - test vectors for STUN protocol testing
   - RFC 5780 - NAT behavior discovery support

The implementation fully supports UDP, TCP, TLS and DTLS as protocols
between the TURN client and the TURN Server.

Flat files, MySQL or PostgreSQL are supported for the user repository (if
authentication is required). Both short-term and long-term credentials
mechanisms are supported. TURN Server REST API for time-limited
secret-based authentication is implemented.

The implementation is supposed to be simple, easy to install and configure.
The project focuses on performance, scalability and simplicity.

To achieve high performance and scalability, the TURN server is implemented
with the following features:

   - High-performance industrial-strength Network IO engine libevent2 is
   used
   - Configurable multi-threading model implemented to allow full usage of
   available CPU resources (if OS allows multi-threading)
   - Multiple listening and relay addresses can be configured
   - Efficient memory model used
   - The TURN project code can be used in a custom proprietary networking
   environment. In the TURN server code, an abstract networking API is used.
   Only couple files in the project have to be re-written to plug-in the TURN
   server into a proprietary environment. With this project, only
   implementation for standard UNIX Networking/IO API is provided, but the
   user can implement any other environment. The TURN server code was
   originally developed for a high-performance proprietary corporate
   environment, then adopted for UNIX Networking API
   - The TURN server works as a user space process, without imposing any
   special requirements on the system
   -

Contact:

email:mom040267@gmail.com
[Message part 2 (text/html, inline)]

Owner recorded as Oleg Moskalenko <mom040267@gmail.com>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Tue, 09 Apr 2013 16:27:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 16 May 2013 08:06:14 GMT) Full text and rfc822 format available.

Reply sent to Oleg Moskalenko <mom040267@gmail.com>:
You have taken responsibility. (Wed, 29 May 2013 23:03:08 GMT) Full text and rfc822 format available.

Notification sent to Oleg Moskalenko <mom040267@gmail.com>:
Bug acknowledged by developer. (Wed, 29 May 2013 23:03:09 GMT) Full text and rfc822 format available.

Message #14 received at 705064-close@bugs.debian.org (full text, mbox):

From: Oleg Moskalenko <mom040267@gmail.com>
To: 705064-close@bugs.debian.org
Subject: Bug#705064: fixed in rfc5766-turn-server 1.8.4.2-1
Date: Wed, 29 May 2013 23:00:06 +0000
Source: rfc5766-turn-server
Source-Version: 1.8.4.2-1

We believe that the bug you reported is fixed in the latest version of
rfc5766-turn-server, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 705064@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Oleg Moskalenko <mom040267@gmail.com> (supplier of updated rfc5766-turn-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 15 May 2013 12:58:45 -0700
Source: rfc5766-turn-server
Binary: rfc5766-turn-server
Architecture: source amd64
Version: 1.8.4.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Changed-By: Oleg Moskalenko <mom040267@gmail.com>
Description: 
 rfc5766-turn-server - server for ICE/STUN/TURN, NAT traversal for VoIP and
Closes: 705064
Changes: 
 rfc5766-turn-server (1.8.4.2-1) unstable; urgency=low
 .
   * Initial Debian release (Closes: #705064)
Checksums-Sha1: 
 25bff48bf10402b4ce72b984a9b04e2b98264994 2098 rfc5766-turn-server_1.8.4.2-1.dsc
 32661566c541aa8bd65d01c5ea563c447f80d4fb 192657 rfc5766-turn-server_1.8.4.2.orig.tar.gz
 2666f15c9339a1a334c0f7d12194e4cc5acfe42f 7699 rfc5766-turn-server_1.8.4.2-1.debian.tar.gz
 dfa1132713d40c23b3f96d92a863d8f5a3cca01b 284688 rfc5766-turn-server_1.8.4.2-1_amd64.deb
Checksums-Sha256: 
 8c2b2ec503b6cdaebf61e3cf25ca918d5f2f8c2f2689ee3a4d9b0a4d74f3e966 2098 rfc5766-turn-server_1.8.4.2-1.dsc
 e662e251464e04d790ab637b7b8c36d50bfefe8d93c1cc7cc9966f9a47f70a01 192657 rfc5766-turn-server_1.8.4.2.orig.tar.gz
 c7ab8805b77d716bd3a47447d7e7fe9a8a69168442140d4029d18691e40702ec 7699 rfc5766-turn-server_1.8.4.2-1.debian.tar.gz
 87c0ffef512aa478a82145c4c44fe466762562cb2dabdb498c6625ea86a4e903 284688 rfc5766-turn-server_1.8.4.2-1_amd64.deb
Files: 
 260de6209c5c2665e5d0785d16fd9cf7 2098 net extra rfc5766-turn-server_1.8.4.2-1.dsc
 f6e16568f1cb2e2e962344c65c1fa7ac 192657 net extra rfc5766-turn-server_1.8.4.2.orig.tar.gz
 8c1c8222088c7b4e262418e469ac8e1b 7699 net extra rfc5766-turn-server_1.8.4.2-1.debian.tar.gz
 7b6479edf1703d1c5ab397627703fe6a 284688 net extra rfc5766-turn-server_1.8.4.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRlIFlAAoJEOm1uwJp1aqDFdIQAIxCSCsRfdyiZGrjHkomuIBK
i5C1Nc1nlZIzw7DtAFuIo9P6d2mTzMschlhyKQkt8DQJams/NVEgGYaSRI62nmRg
UYGkILDcD/WEGDLbPci4ZumoLhGzJ1sSCmmFNVJemv1jYq8OAMDRHjOEf3w4wasA
wrUB7vy3u6OqfrCw1QqYKHkmjGnjQ731I89FulB4aD1ozw2UY96D0BTVp2YdPZlc
4/co8hhaxcTAt7WMtpnJN//y1SPtWM2FkTPGv2JKazxnAF21wZN/KTpz7+XaBcRr
FRgBE+IivYoU9Oh1FxX2wJ9S09crfuhYyxEQPV/jaG8QFVgwh3sj5sIdm9JTPzwE
k1nKuxt6fsrUYAlv9WFlvX6HnoEn7+J1FZl/j2Qh6s7/0G/RZpRmZjzmxtx2u0nr
use6FvXsjbxPzUYsFoniz1AN/5wLjDBAx2YZ5i2Gbl68FJZiSr/Ylh3bmt6lMS3k
o5TC4STKumzT9ZONmtzGOQ6YYCZPmOxBIaqrjCSjoReUM1xiqg1ELZXDRXwHr3SC
CspChL0yAlhT/2cZy3SUWzGrxyTemTAgVT45rCxR/VFz3GA9lBRCs0OJ/6ESdI2W
XLwTrrIW3CJrfgT84TxZ9lewV7+10vwCN94HSeqOUOTrKberveUZZv+k5AzCDIzA
gQ3AnBeBEoJt2+OdMQqx
=tz9A
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Jun 2013 07:33:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:56:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.